# Uses of Interface
javax.management.remote.rmi.RMIConnection

Packages that use RMIConnection
Package
Description
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of RMIConnection in javax.management.remote.rmi

Classes in javax.management.remote.rmi that implement RMIConnection
Modifier and Type
Class
Description
`class`
`RMIConnectionImpl`
Implementation of the `RMIConnection` interface.
`class`
`RMIConnectionImpl_Stub`
RMIConnectionImpl remote stub.
Methods in javax.management.remote.rmi that return RMIConnection
Modifier and Type
Method
Description
`protected RMIConnection`
RMIIIOPServerImpl.`makeClient​(String connectionId, Subject subject)`
Deprecated.
`protected RMIConnection`
RMIJRMPServerImpl.`makeClient​(String connectionId, Subject subject)`
Creates a new client connection as an RMI object exported through JRMP.
`protected abstract RMIConnection`
RMIServerImpl.`makeClient​(String connectionId, Subject subject)`
Creates a new client connection.
`RMIConnection`
RMIServer.`newClient​(Object credentials)`
Makes a new connection through this RMI connector.
`RMIConnection`
RMIServerImpl_Stub.`newClient​(Object $param_Object_1)`
`RMIConnection`
RMIServerImpl.`newClient​(Object credentials)`
Creates a new client connection.
Methods in javax.management.remote.rmi with parameters of type RMIConnection
Modifier and Type
Method
Description
`protected void`
RMIServerImpl.`clientClosed​(RMIConnection client)`
Method called when a client connection created by `makeClient` is closed.
`protected void`
RMIIIOPServerImpl.`closeClient​(RMIConnection client)`
Deprecated.
`protected void`
RMIJRMPServerImpl.`closeClient​(RMIConnection client)`
`protected abstract void`
RMIServerImpl.`closeClient​(RMIConnection client)`
Closes a client connection made by `makeClient`.